Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.examples.rueckspiegel
Class RueckspiegelPlugin

    java.lang.Object
      scone.Plugin
          scone.examples.rueckspiegel.RueckspiegelPlugin

All Implemented Interfaces:
  java.util.Observer, RobotUser

    public class RueckspiegelPlugin

extends Plugin
implements java.util.Observer, RobotUser

Rueckspiegel-Plugin for Scone

This Scone-Plugin uses the ability of the search-engine google to search for documents with links to a specified document. Each time a new document is displayed in the browser google is asked for incoming links. These document are retrieved in the background and displayed as thumbnail images.

ATTENTION! Google disallows the usage of its Web interface for robots.
Therefore we strongly, discourage from the usage of this plugin! If you use it, it is on your own risk and responsibility!

Author:
  Frank Wolenweber (Programming & Concept), Harald Weinreich (Concept & Debugging)

Field Summary

Fields inherited from class scone.Plugin
`ACCESSTRACKING, ACCESSTRACKING2, ADDPREAMBLE, CALCFINGERPRINT, CONSIDERINCLUSIONS, CONSIDERKEYWORDS, CONSIDERLINKS, COPYRIGHT, DECENT_HOST_CONDITION, HTDOCCONDITION, NO_HTDOCCONDITION, NOCACHE, NOREQUIREMENTS, PAGETIMEOUT, PARSEDOCUMENT, POSTDATA, RAS, RESOURCEGENERATOR, SAVEBODYTEXT, SAVESOURCECODE, USEPARSINGMEG`

Constructor Summary
`RueckspiegelPlugin()` Default Constructor.

Method Summary
`int` | `getRequirements()` Scone requirements: Documents are parsed, Accessing is logged and Links and Incousions are considered...
`void` | `init()` Setup Rueckspiegel
`void` | `robotNewPage(RobotHtmlNode robotHtmlNode, RobotTask robotTask)` The robot calls this method for every new document If it's not the Google result page the new thumbnail is added to the drawingArea.
`void` | `robotTaskFinished(RobotTask robotTask)` This method is called by the robot, if the task was completely finished
`void` | `update(java.util.Observable o, java.lang.Object arg)` An Access-event occured: Clean Drawingarea and restart Robot.

Methods inherited from class scone.Plugin
`addMeg, disable, displayConfigGUI, displayConfigGUI, enable, getProperties, getRasPort, init, saveProperties, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RueckspiegelPlugin

    public RueckspiegelPlugin()

  Default Constructor.

Method Detail

### getRequirements

    public int getRequirements()

  Scone requirements: Documents are parsed, Accessing is logged and Links and Incousions are considered...

  Specified by:
    `getRequirements` in class `Plugin`
  Returns:
    the requirements

### init

    public void init()

  Setup Rueckspiegel

  Specified by:
    `init` in class `Plugin`

### update

    public void update(java.util.Observable o,
                       java.lang.Object arg)

  An Access-event occured: Clean Drawingarea and restart Robot.

  Specified by:
    `update` in interface `java.util.Observer`

### robotNewPage

    public void robotNewPage(RobotHtmlNode robotHtmlNode,
                             RobotTask robotTask)

  The robot calls this method for every new document If it's not the Google result page the new thumbnail is added to the drawingArea.

  Specified by:
    `robotNewPage` in interface `RobotUser`
  Parameters:
    `robotHtmlNode` - the new htmlNode with some properties set by the robot
    `robotTask` - identifies the task which causes the robot to download robotHtmlNode.

### robotTaskFinished

    public void robotTaskFinished(RobotTask robotTask)

  This method is called by the robot, if the task was completely finished

  Specified by:
    `robotTaskFinished` in interface `RobotUser`
  Parameters:
    `robotTask` - the robot finished this task

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD